#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 4.12.4
id: free-4.12.4-Jg96zolWYJa3X3zzp8DnHv
key: free-4.12.4-Jg96zolWYJa3X3zzp8DnHv
license: BSD3
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
indefinite: False
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Final
    Control.Applicative.Trans.Free Control.Comonad.Cofree
    Control.Comonad.Cofree.Class Control.Comonad.Trans.Cofree
    Control.Comonad.Trans.Coiter Control.Monad.Free
    Control.Monad.Free.Church Control.Monad.Free.Class
    Control.Monad.Free.TH Control.Monad.Trans.Free
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
abi: ba4589e60d946c865ed0b45113d4c7b9
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/free-4.12.4
library-dirs: /usr/lib/ghc-8.2.1/site-local/free-4.12.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.1/free-4.12.4
hs-libraries: HSfree-4.12.4-Jg96zolWYJa3X3zzp8DnHv
depends:
    base-4.10.0.0 bifunctors-5.4.2-EkvLHEGusmL2QBUCGZ7PSE
    comonad-5.0.2-AAFyIh6Dm39islDxts6T3
    distributive-0.5.3-99ryfobDi0e5qzYasSVH5G
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv
    profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0
    semigroupoids-5.2.1-BrFpsm3Xb4SLTmLSosQvtp
    semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP transformers-0.5.2.0
    transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v
    template-haskell-2.12.0.0 exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    containers-0.5.10.2
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             bifunctors-5.4.2-EkvLHEGusmL2QBUCGZ7PSE=3c661fc7707c57e8dca3d6cba12d1535
             comonad-5.0.2-AAFyIh6Dm39islDxts6T3=2e229087fcf32b235bcf466fea4261ee
             distributive-0.5.3-99ryfobDi0e5qzYasSVH5G=696e7055a26e1c2a28fbdde9c9afe158
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=5531911f09693672654e6de645ce55e7
             prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv=3410dd613bd435c82e4134717cf6d9ef
             profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0=a7e80b9d748c8bf1db214fda1cbc5e33
             semigroupoids-5.2.1-BrFpsm3Xb4SLTmLSosQvtp=4a7eb4dea61c6f90c822c8a91f086fa5
             semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP=7bc502c1773a3f628e3db58cb706740b
             transformers-0.5.2.0=9705988bf0172d3bbbcdcaf65e1d842a
             transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v=e48d0ae1a0338f5c9f46149b634d1da7
             template-haskell-2.12.0.0=612ee923b47f5e11502cef08338c9f82
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=62278cb6808dfdd4ea4dbd9b537b44e9
             containers-0.5.10.2=e086202b65ca66a107fcba9d846fc3e0
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

